summaryrefslogtreecommitdiff
path: root/dev-python/construct/construct-2.10.57.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [master] <gitlab@liguros.net>2021-01-27 18:53:03 +0000
committerLiguros - Gitlab CI/CD [master] <gitlab@liguros.net>2021-01-27 18:53:03 +0000
commit3482ddf943eff7b8848f1fb31350b99ce349e86a (patch)
tree9c9bb6ec6679e9dc44a84d87ba611989409b12ca /dev-python/construct/construct-2.10.57.ebuild
parent8e8120eabdd28020aa69c7a60505cce2edd20adc (diff)
downloadbaldeagleos-repo-21.1.3.tar.gz
baldeagleos-repo-21.1.3.tar.xz
baldeagleos-repo-21.1.3.zip
Updating liguros repov21.1.3
Diffstat (limited to 'dev-python/construct/construct-2.10.57.ebuild')
-rw-r--r--dev-python/construct/construct-2.10.57.ebuild36
1 files changed, 36 insertions, 0 deletions
diff --git a/dev-python/construct/construct-2.10.57.ebuild b/dev-python/construct/construct-2.10.57.ebuild
new file mode 100644
index 000000000000..5e0c7891d882
--- /dev/null
+++ b/dev-python/construct/construct-2.10.57.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="A powerful declarative parser for binary data"
+HOMEPAGE="https://construct.readthedocs.io/en/latest/ https://pypi.org/project/construct/"
+SRC_URI="https://github.com/construct/construct/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+BDEPEND="
+ test? (
+ dev-python/arrow[${PYTHON_USEDEP}]
+ >=dev-python/numpy-1.15.4[${PYTHON_USEDEP}]
+ dev-python/ruamel-yaml[${PYTHON_USEDEP}]
+ )"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ distutils-r1_src_prepare
+ rm tests/test_benchmarks.py || die
+}
+
+pkg_postinst() {
+ ewarn "Version 2.10.x has significant API and implementation changes from"
+ ewarn "previous 2.9.x releases. Please read the documentation at"
+ ewarn "https://construct.readthedocs.io/en/latest/transition210.html"
+ ewarn "for more info."
+}